Futures Cross

Get position

GET/futures/cross/positionPrivate

Get the current cross margin position

Permissions: futures:cross:read

Response Body

OK

application/json
  1. response
id*string

Position ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
updatedAt*string

Timestamp marking the last update of the position

Formatdate-time
margin*integer

Cross margin balance

quantity*number

Quantity of the position

leverage*integer

Leverage of the position

Range0 < value
entryPrice*|

Entry price

runningMargin*integer

Running margin

initialMargin*integer

Initial margin

maintenanceMargin*integer

Maintenance margin

liquidation*|

Liquidation price

tradingFees*integer

Trading fees

fundingFees*integer

Funding fees

totalPl*integer

Total profit/loss

deltaPl*integer

Delta profit/loss

import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.futures.cross.getPosition()
{  "id": "c0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",  "updatedAt": "2023-05-23T09:52:57.863Z",  "margin": 100,  "quantity": 100,  "leverage": 10,  "entryPrice": 100,  "runningMargin": 100,  "initialMargin": 100,  "maintenanceMargin": 100,  "liquidation": 100,  "tradingFees": 100,  "fundingFees": 100,  "totalPl": 100,  "deltaPl": 100}